Child pages
  • Tutorial - Renderer 1.0 Migration

This space is an archive space for documentation related to old versions of Fluid Infusion (i.e. versions before 1.3). For documentation related to the latest Infusion, see Infusion Documentation.

Skip to end of metadata
Go to start of metadata

This page will walk you through the process of upgrading your existing 0.8 Renderer implementation to the new 1.0 version. This tutorial assumes that

  • you are already familiar with HTML, Javascript and CSS
  • you are familiar with what Renderer is and does
  • you have an existing implementation that makes use of the Renderer and worked with the 0.8 Infusion release.
  • you are using the default classes

Location Changes

With the directory restructuring comes the need to update your paths to our files.

If you use...

The new path is...

../../fluid-components/js/fluid/renderer/fastXmlPull.js

../../lib/fastXmlPull/js/fastXmlPull.js

../../fluid-components/js/fluid/renderer/fluidParser.js

../../framework/renderer/js/fluidParser.js

../../fluid-components/js/fluid/renderer/fluidRenderer.js

../../framework/renderer/js/fluidRenderer.js

The following files are required dependencies, if you are using the Fluid Renderer:

../../framework/core/js/DataBinding.js NOTE new file in 1.0 release

../../framework/core/js/FluidDOMUtilities.js

../../framework/core/js/Fluid.js

On this Page
Still need help?

Join the infusion-users mailing list and ask your questions there.

  • No labels